Bug 144683 - CAN-2004-1184 multiple security issues in enscript (CAN-2004-1185 CAN-2004-1186)
Summary: CAN-2004-1184 multiple security issues in enscript (CAN-2004-1185 CAN-2004-1186)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: enscript   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Jay Turner
URL:
Whiteboard: impact=low,embargo=20050120
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-10 17:26 UTC by Josh Bressers
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 14:43:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:039 normal SHIPPED_LIVE Low: enscript security update 2005-02-01 05:00:00 UTC

Description Josh Bressers 2005-01-10 17:26:37 UTC
This was reported to vendor-sec on 2004-01-07

Erik Sjölund has discovered several security relevant problems in
enscript, a program to converts ASCII text to Postscript and other
formats.  The Common Vulnerabilities and Exposures project identifies
the following vulnerabilities:

CAN-2004-1184

    Unsanitised input can caues the execution of arbitrary commands
    via EPSF pipe support.  This has been disabled, also upstream.

CAN-2004-1185

    Due to missing sanitising of filenames it is possible that a
    specially crafted filename can cause arbitrary commands to be
    executed.

CAN-2004-1186

    Multiple buffer overflows can cause the program to crash.

Comment 1 Josh Bressers 2005-01-10 17:27:02 UTC
This issue should also affect RHEL2.1

Comment 2 Mark J. Cox 2005-02-01 14:43:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-039.html



Note You need to log in before you can comment on or make changes to this bug.